Loading...
Searching...
No Matches
Opm::SinglePhaseUpscaler Class Reference

A class for doing single phase (permeability) upscaling. More...

`#include <SinglePhaseUpscaler.hpp>`

Inheritance diagram for Opm::SinglePhaseUpscaler:

## Additional Inherited Members

Public Types inherited from Opm::UpscalerBase< UpscalingTraitsBasic >
enum |
enum | BoundaryConditionType
typedef Dune::CpGrid | GridType
typedef GridInterfaceEuler< GridType > | GridInterface
typedef UpscalingTraitsBasic::template ResProp< Dimension >::Type | ResProp
typedef ResProp::MutablePermTensor | permtensor_t
| A type for the upscaled permeability.
Public Member Functions inherited from Opm::UpscalerBase< UpscalingTraitsBasic >
| UpscalerBase ()
| Default constructor.
void | init (const Opm::ParameterGroup &param)
| Initializes the upscaler from parameters.
const GridType & | grid () const
| Access the grid.
void | setBoundaryConditionType (BoundaryConditionType type)
| Set boundary condition type.
void | setPermeability (const int cell_index, const permtensor_t &k)
| Set the permeability of a cell directly.
permtensor_t | upscaleSinglePhase ()
| Does a single-phase upscaling.
double | upscalePorosity () const
| Compute upscaled porosity.
double | upscaleNetPorosity () const
| Compute upscaled net porosity.
double | upscaleNTG () const
| Compute upscaled NTG.
double | upscaleSWCR (const bool NTG) const
| Compute upscaled SWCR.
double | upscaleSOWCR (const bool NTG) const
| Compute upscaled SOWCR.
Protected Types inherited from Opm::UpscalerBase< UpscalingTraitsBasic >
typedef GridInterface::CellIterator | CellIter
typedef CellIter::FaceIterator | FaceIter
typedef BasicBoundaryConditions< true, true > | BCs
typedef UpscalingTraitsBasic::template FlowSolver< GridInterface, BCs >::Type | FlowSolver
Protected Member Functions inherited from Opm::UpscalerBase< UpscalingTraitsBasic >
double | computeAverageVelocity (const FlowSol &flow_solution, const int flow_dir, const int pdrop_dir) const
double | computeDelta (const int flow_dir) const
permtensor_t | upscaleEffectivePerm (const FluidInterface &fluid)
virtual void | initImpl (const Opm::ParameterGroup &param)
virtual void | initFinal (const Opm::ParameterGroup &param)
Protected Attributes inherited from Opm::UpscalerBase< UpscalingTraitsBasic >
BoundaryConditionType | bctype_
bool | twodim_hack_
double | residual_tolerance_
int | linsolver_maxit_
double | linsolver_prolongate_factor_
int | linsolver_verbosity_
int | linsolver_type_
int | linsolver_smooth_steps_
double | gravity_
GridType | grid_
GridInterface | ginterf_
ResProp | res_prop_
BCs | bcond_
FlowSolver | flow_solver_

## Detailed Description

A class for doing single phase (permeability) upscaling.

Author
  Atgeirr F. Rasmussen atgei.nosp@m.rr@s.nosp@m.intef.nosp@m..no

The documentation for this class was generated from the following file:

- opm/upscaling/SinglePhaseUpscaler.hpp